/* Commen css */
*
{
    padding: 0px;
    margin: 0px;
}   
body  
{ 
	font-family: 'Roboto', sans-serif;
	font-size: 18px;
	color: #666;
	background-color: #fff;
  letter-spacing: 1px;
	line-height: 25px;
	font-weight:normal
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}
.container{ max-width:93%;}
.container-fluid{ max-width:97%;}
.underline{ text-decoration:underline; }
p, span 
{
  margin: 0px !important;
  padding: 0px;
  font-weight: normal; }

h1, h2, h3, h4, h5, h6, .h1class 
{
  font-family: 'Oswald', sans-serif;
  margin-bottom: 0rem !important;
	color: #333;
	padding-bottom: 10px;
	line-height: 1em;
	font-weight: 500;

}

h1, .h1class {
  font-size:30px; 
text-decoration: none;}

h2 {
  font-size:30px;
text-decoration: none;}

h3 {
  font-size:20px;
  line-height: 35px;
}

h4 {
  font-size: 20px; }

h5 {
  font-size: 16px; }

h6 {
  font-size: 12px; }

a 
{
  color: #242424;
	text-decoration: underline;
}

a:hover 
{
  color:#ed3030;
  text-decoration: none; 
}
.background a{color:#fff !important;}
.btn-primary {
  background-color: #242424;
  border: 1px solid #000000; }

.btn-primary:hover {
  background-color: #000000;
  border: 1px solid #242424; }

.btn-primary:not(:disabled):not(.disabled):active, .btn-primary:not(:disabled):not(.disabled).active, .show > .btn-primary.dropdown-toggle {
  background-color: #000000;
  border: 1px solid #242424; }

.btn-primary:focus, .btn-primary.focus {
  box-shadow: 0 0 0 0.2rem rgba(36, 36, 36, 0.5); }

.paddl0 {
  padding-left: 0px; }

.paddr0 {
  padding-right: 0px; }

.paddlr0 {
  padding-left: 0px;
  padding-right: 0px; }

.row-padd-t {
  padding-top: 30px; }

.row-padd-b {
  padding-bottom: 30px; }

.row-padd-tb {
  padding-top: 30px;
  padding-bottom: 30px; }

img
{
    max-width:100%;
    height:auto;
}

/* commen css */

.fixed-top
{
  width: 100%;
  height: auto;
  margin: 0 auto;
  position: sticky;
  top: 0;
  z-index: 1030;
}

.top-section
{
  width: 100%;
  height: auto;
  margin: 0 auto;
  background-color: #ed3030;
}
.navigation
{
  background-color: #fff;
  width: 100%;
  height: auto;
  margin: 0 auto;
  border-bottom: 2px solid #ed3030;
}
.chat, .chat a
{
  color: #fff!important;
  font-size: 16px;
}
.navbar-light .navbar-nav .nav-link
{
  color: #000;
  transition: all 0.4sec;
  font-size: 15px;
}
.navbar-light .navbar-nav .nav-link:hover, .navbar-light .navbar-nav .nav-link.active
{
  color:#ed3030;
}
.navbar-expand-lg .navbar-nav .nav-link 
{
  padding-right: .9rem;
  padding-left: .9rem;
}
.logo
{
  width:60%;
}
.carousel-control-next, .carousel-control-prev
{
  bottom: 40px !important;
}
.banner-line
{
  background-color: #fff;
  width:5%;
  text-align: center;
  display: block;
  margin:15px auto;
  
}
.banner-text 
{
  bottom:9rem;
}
.top-name
{
  font-size: 22px;
  line-height: 28px;
  font-family:font-family: 'Oswald', sans-serif !important; 
}
.main-name
{
  font-size:42px;
  line-height: 56px;
}

.tbanner:before{
	content: "";
  display: block;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background: rgba(214,34,34, 0.6);
}
.textborder{
	border: 3px solid #000;
	padding:15px;
}
.home-btn {
	font-size: 20px !important;
	background-color: #03a84e !important;
	border: 1px solid #02652F;
	text-transform: capitalize;
	color: #fff !important;
	transition: all 0.4s;
	border-radius: 0px;
	font-weight: bold;
	padding-top: 1rem !important;
  padding-bottom: 1rem !important;
  padding-right: 3rem !important;
  padding-left: 3rem !important;
}
.home-btn:hover
{
  background-color: #02652F !important;
   color: #fff !important;
}
.home-btn-1 
{
  color: #fff!important;
  background-color: #000!important;
   border: 2px solid #000;
   font-size: 18px;
	text-transform: capitalize;
	transition: all 0.4s;
	border-radius: 0px;
	font-weight: bold;
	padding-top: 1rem !important;
  padding-bottom: 1rem !important;
  padding-right: 3rem !important;
  padding-left: 3rem !important;
}
.short-btn{
	padding:0.5rem 1rem !important;
}
.home-btn-1:hover
{
  background-color: transparent!important;
   color: #000 !important;
}
.btn-check:focus + .btn, .btn:focus 
{
  outline: 0!important;
  box-shadow: 0 0 0 .0rem rgba(13,110,253,0)!important;
}
.home-about
{
  background-color: #e3e3e3;
}
.home-about-head
{
  font-size: 30px;
  line-height: 60px;
  letter-spacing:2px;
  font-weight:700;
}
.home-head
{
  font-size: 50px;
  line-height: 60px;
  letter-spacing:2px;
  font-weight:700;
  text-decoration: underline;
}
.img-div 
{
  display: block;
  object-fit: cover;
  overflow: hidden;
}
.img-div img 
{
  transform: scale(1);
  transition: transform .4s ease-in-out;
}
.pro-div
{
  background-color: #fff;
  box-shadow: 0px 5px 8px #cfd1cf;
}
.img-div img:hover 
{
  transform: scale(1.2);
}
.background
{
 background: #1c1c1c;
  color: #fff;
}
.background h1, .background h2{ color:#fff; }
.hose-head
{
  color: #fff!important;
  font-size:90px; 
}
.step-class
{
  color: #ed3030;
  font-size: 30px;
}
.same-class
{
  font-size:60px;
  color: #fff;
  display: block;
  line-height: 70px;
}
.step-class-1 a
{
 font-size: 22px;
line-height: 30px;
  display: block;
  color: #e3e3e3;
}
.function-div {
	background-color: #fff;
	border-bottom-left-radius: 50px;
	border-bottom-right-radius: 50px;
}
.function-div i
{
  font-size:70px;
  color: #ed3030;
}
.function-head
{
  font-size: 20px;
 line-height: 25px;
  
}
.footer-section a, .bottom-div a, .fixed-top a{
	text-decoration:none;
}
.footer-section 
{
  width: 100%;
  height: auto;
  margin: 0 auto;
  background-color: #1c1c1c;
}
.ft-header {
  font-size: 17px;
  text-transform: uppercase;
  letter-spacing:1px;
  color: #fff !important;
}

.ft-subtext, .ft-subtext a
{
  font-size: 15px;
  letter-spacing: 1px;
  color: #fff !important;
}

.bottom-text, .bottom-text a 
{
  color: #fff;
  font-size: 15px;
  letter-spacing: 1px;
}
.bottom-div 
{
  background-color: #000;
}
.btn-back-to-top 
{
  position: fixed;
  color: #ed3030;
  z-index: 1000;
  right: 20px;
  bottom: 20px;
  -webkit-transition: .7s;
  transition: .7s;
}
.dropdown-menu
{
  border-radius: 0px;
}
.inner-btm
{
bottom: 15rem !important;
}
.step 
{
  color: #ed3030;
  font-size:20px;
  text-transform: capitalize;
  text-decoration: underline;
  line-height: 30px;
}
.step-1 
{
  font-size: 17px;
  line-height:30px;
  color: #000;
  text-transform:uppercase;
}
.hose-img
{
  box-shadow:  0px 5px 0px #ed3030;
  background-color: #e7e6e6;
  border: 2px solid transparent;
  transition:all 0.4s;
}
.hose-img:hover, .hose-img-select
{
  border: 2px solid #ed3030;
}
.hose-img img
{
  display: block;
  margin: 0 auto;
}
.hose-no
{
  color: #000;
  font-size: 18px;
}
.input-box 
{
  border-radius: 0px;
  font-size: 15px;
  letter-spacing: 1px;
  color: #e3e1e1;
}

.hose-length
{
  background-color: #fff !important;
  box-shadow: 0px 5px 8px #adadad;
  border: 2px solid transparent;
  transition:all 0.4s;
}

.hose-length:hover
{
   border: 2px solid #ed3030;
}
.hose-length:hover, .hose-length-select
{
   border: 2px solid #ed3030;
}
.dt {
	color: #ed3030;
	opacity: 1;
}
.list {
	background-color: #000 !important;
	color: #fff;
	border-radius: 0px;
	letter-spacing: 1px;
	margin: 0 auto;
	width: auto !important;
	padding: 20px;
	display: block;
} 
.dropdown-item
{
  font-size: 14px;
  transition: all 0.4s;
  text-transform: uppercase;
}
.dropdown-item:focus, .dropdown-item:hover
{
  color: #fff;
  background-color: #000;
}
.hold-text
{
  font-size: 17px;
  line-height: 30px;
}
.hold-img
{
  border: 2px solid #fff !important;
}
.form-select:focus 
{
  border-color: transparent!important;
  outline: 0;
  box-shadow: 0 0 0 .0rem rgba(13,110,253,.0) !important;
}
.detail-box
{
  background-color: #fff !important;
  box-shadow: 0px 5px 8px #adadad;
  font-size: 15px;
  line-height: 30px;
  text-transform: capitalize;
}
.form-select
{
  font-size: 15px!important;
}

.step-css
{
color: #000;
font-size:20px;

}
.speci-heading, .table-color
{
  border: 1px solid #e0e0e0;
}
.inner-table-info
{
  border-right: 1px solid #e0e0e0;
  border-bottom: 1px solid #e0e0e0;
}
.bottom-price
{
  border-bottom: 1px solid #e0e0e0;
}
.form-control
{
  font-size: 0.9rem;
  border-radius: 0px !important;
}



/* arrow css */

.input-icons i  
{
 position: absolute;
 left:70%;
 bottom: 30%;
  color: #fff;
  font-size: 15px;
}
          
   .input-icons
{
      display: inline-block;
        } 
          
  /* .icon {
            padding: 10px;
            min-width: 40px;
        } */
          
 .input-field 
{
 
  text-align: center;
  color: #fff !important;
background-color: #00b064!important;
  font-weight: bold;
  font-size: 18px;
  border-radius: 0px;
 }
.stock-class
{
  text-transform: uppercase;
  letter-spacing: 1px;
  color: #1f1f1f;
}
.term-link-1
{
    color: #ed3030;
}
.vitillo-img 
{
  background-color: #fff;
  box-shadow: 0px 5px 8px #cfd1cf;
}
.vitillo-img ul li a, .vitillo-img ul li
{
  line-height: 35px;
  font-size: 15px;
  color: #242424!important;
}

/* product slider css */
.carousel-indicators
{
  position:static!important;
  bottom: 0px !important;
  margin-left: 0%;
  margin-right: 0%;
  width: 100%;
  display: table;
}
.carousel-indicators li {
  text-indent: 0px !important;
  width: 60px !important;
  height: auto !important;
  border-radius: 0px;
  border: 0px;
  margin: 5px;
  background: none;
}
.carousel-indicators li img {
  width:100px !important;
  height: auto !important;
  border: 1px solid #fff;
  margin: 5px;
}
.carousel-indicators 
{
	display: inline-block;
}
.product-slide .carousel-indicators li
{
	float: left;
	width: 100px!important;
}
.carousel-control-next, .carousel-control-prev {
  
  bottom: 150px;
}   
.dutch-head
{
	text-transform: uppercase;
	letter-spacing: 1px;
	line-height: 30px;
	font-size: 22px;
 color: #000!important;
}
.inches-text
{
	font-size:16px;
	letter-spacing: 1px;
  line-height: 30px;
  color: #666;
}
.d-head
{
	font-size:18px;
	color: #000!important;
	text-decoration: underline;
  
    
}

.send-btn {
  text-align: center;
  margin: 0 auto;
  background-color: #100815!important;
  width:150px;
  border-radius: 0px;
  font-size: 15px;
  letter-spacing: 1px;
  color: #fff!important;
  text-transform: uppercase;
  border: 1px solid #100815;
  
}
.code-class
{
	width: 100px;
	height: auto;
	background-color: #b0b0b0;
	color: #000;
	font-size: 18px;
}
.description-head
{
  font-size: 40px;
line-height: 50px;
}
.vitillo-img
{
  background-color: #fff;
box-shadow: 0px 5px 8px #cfd1cf;
  
}
.pro-price-color
{
  color: #ed3030;
}
.pro-text-link
{
  font-size: 15px!important;
  letter-spacing: 0px;
  
}
.build-page-btn
{
  color: #fff !important;
  background-color: #00b064 !important;
  font-weight: bold;
  font-size: 18px;
  border-radius: 0px;
  padding-left: 30px;
  padding-right: 30px;
}
.hoseimg {
	position: absolute;
	right: 15px;
	bottom: -4rem;
}
.hosebgimg {
	background-image: url('../images/build-a-hose.png');
	background-size: 45%;
	background-repeat: no-repeat;
	background-position: bottom right;
}
.hose-length img{
	background:#000;
}
.tech-class
{
    font-size:18px;
    line-height:28px;
    font-weight:500;
}
.description-head-1 
{
  font-size:28px;
  line-height:38px;
}
.stext
{
    font-weight: 500;
}
.description-head-2
{
  font-size: 22px;
  line-height:30px;
    text-transform: uppercase;
    text-decoration: underline;
}
.nav-link:focus, .nav-link:hover, .nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active {
  color: #ed3030;
}
.nav-tabs .nav-link {
	margin-bottom: -1px;
	background: #eeee;
	border: 1px solid #888;
	border-top-left-radius: .25rem;
	border-top-right-radius: .25rem;
	color:#495057;
}







.ng-modal-number-container {
    margin-top: 25px;
    background-color:transparent;
    border-top: 1px solid black;
    width:auto;
    display:flex;
    display: -webkit-flex;
    justify-content: space-between;
    -webkit-justify-content: space-between;
}

.questionNumbers {
    margin-top: -23px;
}

.questionNumberIcon {
    width:45px;
    height:45px;
    border-radius:50%;
    font-size:18px;
    color:#000;
    line-height:42px;
    text-align:center;
    background:#fff;
    border:2px solid black;
 }
 .questionNumberIcon.iactive { background:#ed3030;color:#fff;}

.carousel-caption{
	top:35%;
}
.dyes-btn, .dno-btn{
	padding: 5px !important;
  font-size: 16px !important;
  margin-top: 10px;
  background-color: #03a84e !important;
  border: 1px solid #02652F;
  text-transform: capitalize;
  color: #fff !important;
  transition: all 0.4s;
  border-radius: 0px;
  font-weight: bold;
}
.dno-btn{
	background-color: #ed3030 !important;
}

.likeprod {
	border: 3px solid #ed3030;
	border-radius: 1.25rem;
	padding: 10px;
	display: flex;
	align-items: center;
	position: relative;
	padding-bottom: 35px;
}
.likeproprice {
	font-size: 22px;
	font-weight: bold;
	text-align: center;
	position: absolute;
	left: 50%;
	transform: translate(-50%);
	bottom: 0;
	padding: 5px;
}





/* Responsive */
@media only screen and (max-width:1200px)
{
  .navbar-expand-lg .navbar-nav .nav-link {
  padding-right: .5rem;
  padding-left: .5rem;
}
}
@media only screen and (max-width:1100px)
{
  .banner-text {
  bottom: 5rem;
}
}
@media only screen and (max-width:1024px)
{
  .container
  {
    max-width: 95%;
  }
 
  .same-class 
  {
  font-size: 50px;
  line-height: 60px;
  }
}
@media only screen and (max-width:991px)
{
  .container
  {
    max-width: 95%;
  }
  .navbar-expand-lg .navbar-nav .nav-link {
  padding-left: .0rem;
  }
  .banner-text 
  {
  bottom: 4rem;
  }
  .same-class 
  {
  font-size:40px;
  line-height:50px;
  }
  .ft-subtext a
  {
    letter-spacing: 0px;
  }
  .angle-list
  {
    width:300px!important;
  }
}
@media only screen and (max-width:875px)
{
  .billing-strong
  {
    font-size: 14px!important;
    letter-spacing: 0px!important;
  }
}
@media only screen and (max-width:860px)
{
  .ft-subtext, .ft-subtext a
  {
    letter-spacing: 0px;
  }
}
@media only screen and (max-width:820px)
{
  .pro-text-link
  {
    font-size: 13px!important;
  }
}
/*-----------Table media query------------*/
  

@media only screen and (max-width: 800px) {
    
    /* Force table to not be like tables anymore */
    #baskettable table,
    #baskettable thead,
    #baskettable tbody,
    #baskettable th,
    #baskettable td,
    #baskettable tr {
        display: block;
    }
 
    /* Hide table headers (but not display: none;, for accessibility) */
    #baskettable thead tr {
        position: absolute;
        top: -9999px;
        left: -9999px;
    }
 
    #baskettable tr { border: 1px solid #ccc; }
 
    #baskettable td {
        /* Behave  like a "row" */
        border: none;
        border-bottom: 1px solid #eee;
        position: relative;
        padding-left: 50% !important;
        white-space: normal;
        text-align:right;
      padding-top: 10px;
      padding-bottom: 10px;
    }
 #baskettable tfoot td{
	 display:inline-block !important;
	 padding-left: 0 !important;
 }
 #baskettable tfoot {
	 display:block !important;
 }
 .tablefloatright{ float:right;}
    #baskettable td:before {
        /* Now like a table header */
        position: absolute;
        /* Top/left values mimic padding */
        top: 6px;
        left: 6px;
        width: 45%;
        padding-right: 10px;
        white-space: nowrap;
        text-align:left;
        font-weight: bold;
    }  
  .sub-width
  {
    padding-left: 0px!important;
  }
  .inner-table-info1111
  {
    padding-top: 40px!important;
  }
    /*
    Label the data
    */
    #baskettable td:before { content: attr(data-title); }
}


@media only screen and (max-width:800px)
{
   .banner-text 
  {
  bottom:3rem;
  }
}
@media only screen and (max-width:767px)
{
   .ft-subtext a
  {
    letter-spacing: 1px;
  }
  .pro-text-link
  {
    font-size: 14px!important;
  }
  .carousel-control-next, .carousel-control-prev
  {
    bottom: 20px !important;
  }
  .hose-no 
  {
    font-size: 16px;
  }  
  .billing-strong 
  {
  letter-spacing:1px !important;
  }
} 
@media only screen and (max-width:587px)
{
  .pro-step
  {
    font-size: 18px!important;
  }
}
@media only screen and (max-width:575px)
{
  .home-about-head
  {
  font-size:40px;
  line-height: 45px;
  }
  
  .home-head 
  {
  font-size:30px;
  line-height: 40px;
  }
  .hose-head 
  {
  font-size:55px;
  line-height:65px;
  } 
  .list
  {
    width: 250px!important;
  }
  .description-head 
  {
  font-size: 30px;
  line-height: 40px;
  } 
  .pro-step
  { 
    font-size: 16px !important;
    letter-spacing: 0px;
  }
}
@media only screen and (max-width:500px)
{
   .empty-btn
  {
    display: block;
    margin:0 auto 10px auto!important;
    width: 60%;
    
  }
}

@media only screen and (max-width:420px)
{
 .navbar-light .navbar-brand
  {
    width: 60%;
  }
} 

@media only screen and (max-width:405px)
{
  .pro-step
  {
  font-size:14px !important;
  }
  .pro-subtext
  {
    font-size: 13px !important;
    letter-spacing: 0px!important;
  }   
  .pro-control
  {
    font-size:0.7rem !important;
  }
  .pro-width
  {
    padding-left: 5px!important;
    padding-right: 5px!important;
  }
}
@media only screen and (max-width:370px)
{
  .pro-control
  {
    width: 70%!important;
  }
  
}
@media only screen and (max-width:360px)
{
  .ft-subtext a,.ft-subtext
  {
    letter-spacing: 0px;
  }
  .rapid-pro-table
  {
    font-size:15px;
    line-height: 25px;
    letter-spacing: 0px;
  }
  .pro-step 
  {
  font-size: 13px !important;
  }
}
@media only screen and (max-width:340px)
{
  #baskettable td::before
    {
      font-size: 14px;
  }
}
@media only screen and (max-width:325px)
{
  .chat, .chat a
  {
    font-size: 15px;
    letter-spacing: 0px;
  }
  .ft-subtext a,.ft-subtext
  {
    letter-spacing: 0px;
    font-size: 14px;
  }
  .list
  {
    width: 220px!important;
  }
  .pro-step 
  {
  font-size: 13px !important;
  }
  .term-link
  {
    font-size: 15px!important;
    letter-spacing: 0px!important; 
  }
  .term-link-1
  {
    color: #ed3030;
    font-size: 17px!important;
    letter-spacing: 0px!important;
  } 
} 
  

@media only screen and (max-width:767px)
{
.carousel-caption{ top:20%;}
.top-name {
	font-size: 16px;
	line-height: 30px;
}
.main-name {
	font-size: 18px;
	line-height: 20px;
}
.carousel-caption .home-btn {
	font-size: 15px !important;
	padding-top: 0.5rem !important;
	padding-bottom: 0.5rem !important;
	padding-right: 1rem !important;
	padding-left: 1rem !important;
	margin-top: 0.7rem !important;
}
}
@media only screen and (max-width:575px)
{
.carousel-caption{ top:10%;}
.top-name {
	font-size: 12px;
	line-height: 18px;
}
.main-name {
	font-size: 15px;
	line-height: 5px;
}
.carousel-caption .home-btn {
	font-size: 15px !important;
	padding-top: 0.5rem !important;
	padding-bottom: 0.5rem !important;
	padding-right: 1rem !important;
	padding-left: 1rem !important;
	margin-top: 0.7rem !important;
}
}


@media only screen and (min-width:768px)
{
.tbanner{
	height:75vh;
}
h1, h2{ font-size:25px;}
}




